# Copyright (c) 2017-2020  University of Houston

import os
import os.path
from setuptools import setup, find_packages

setup(name = "uh-ed-ipy",
      version = "0.3.0",
      author = "Nick Bastin",
      author_email = "nick.bastin@gmail.com",
      packages = find_packages(),
      scripts = [],
      install_requires = [
        "bqplot",
        "dpkt",
        "geni-lib",
        "graphviz",
        "numpy==1.16.6",
        "pandas==0.24.2",
        "pydot",
        "requests",
        "six",
        "uhnet-utils",
        ],
      classifiers = [
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3.6",
        ],
      )

