# Copyright (c) 2017  University of Houston

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# API wrappers, decorated with their api or image names and POA strings

### uh.dnsroot

@image("uh.dnsroot")
@poa("vts:uh.dnsroot:add-resource-record")
def _uh_dnsroot_addResourceRecord (self, ...):
  pass

@image("uh.dnsroot")
@poa("vts:uh.dnsroot:delete-resource-record")
def _uh_dnsroot_deleteResourceRecord (self, ...):
  pass

@image("uh.dnsroot")
@poa("vts:uh.dnsroot:get-all-records")
def _uh_dnsroot_getAllRecords (self, ...):
  pass

### uh.dnsdhcp

@image("uh.dnsdhcp")
@poa("vts:uh.dnsdhcp:get-last-DNSDHCP-ops")
def _uh_dnsdhcp_getLastDNSDHCPOps (self, ...):
  pass

### uh.quagga

@image("uh.quagga")
@poa("vts:uh.quagga:get-route-table")
def _uh_quagga_getRouteTable (self, ...):
  pass

@image("uh.quagga")
@poa("vts:uh.quagga:add-ospf-nets")
def _uh_quagga_addOSPFNets (self, ...):
  pass

@image("uh.quagga")
@poa("vts:uh.quagga:get-ospf-neighbors")
def _uh_quagga_getOSPFNeighbors (self, ...):
  pass

### uh.vswitch

@image("uh.vswitch")
@poa("vts:uh.vswitch:clear-l2-table")
def _uh_vswitch_clearL2Table (self, ...):
  pass


### api:uh.dhcp

@api("uh.dhcp")
@poa("api:uh.dhcp:set-subnet")
def _api_uh_dhcp_setSubnet (self, ...):
  pass

@api("uh.dhcp")
@poa("api:uh.dhcp:get-leases")
def _api_uh_dhcp_getLeases (self, ...):
  pass

@api("uh.dhcp")
@poa("api:uh.dhcp:reserve-address")
def _api_uh_dhcp_reserveAddress (self, ...):
  pass

### api:l2-switch

@api("l2-switch")
@poa("api:l2-switch:get-l2-table")
def _api_l2_switch_getL2Table (self, ...):
  pass

### api:uh.host

@api("uh.host")
@poa("api:uh.host:supervisor-status")
def _api_uh_host_supervisorStatus (self, ...):
  pass

@api("uh.host")
@poa("api:uh.host:supervisor-avail")
def _api_uh_host_supervisorAvail (self, ...):
  pass

@api("uh.host")
@poa("api:uh.host:supervisor-stop")
def _api_uh_host_supervisorStop (self, ...):
  pass

@api("uh.host")
@poa("api:uh.host:supervisor-start")
def _api_uh_host_supervisorStart (self, ...):
  pass

@api("uh.host")
@poa("api:uh.host:supervisor-restart")
def _api_uh_host_supervisorRestart (self, ...):
  pass

@api("uh.host")
@poa("api:uh.host:supervisor-update")
def _api_uh_host_supervisorUpdate (self, ...):
  pass

@api("uh.host")
@poa("api:uh.host:get-arp-table")
def _api_uh_host_getARPTable (self, ...):
  pass

@api("uh.host")
@poa("api:uh.host:get-route-table")
def _api_uh_host_getRouteTable (self, ...):
  pass

@api("uh.host")
@poa("api:uh.host:add-user")
def _api_uh_host_addUser (self, ...):
  pass

### We'll fake some things here until they move to the right place
@api("vts.l2")
@poa("vts:l2:stp-info")
def _api_vts_l2_getSTPInfo (self, ...):
  pass

@api("vts.l2")
@poa("vts:l2:rstp-info")
def _api_vts_l2_getRSTPInfo (self, ...):
  pass

@api("vts.l2")
@poa("vts:l2:set-stp-params")
def _api_vts_l2_setSTPParams (self, ...):
  pass

@api("vts.l2")
@poa("vts:raw:set-vlan")
def _api_vts_l2_setVLAN (self, ...):
  pass

@api("vts.l2")
@poa("vts:raw:set-trunk")
def _api_vts_l2_setTrunk (self, ...):
  pass

@api("vts.l2")
@poa("vts:raw:get-port-info")
def _api_vts_l2_getPortInfo (self, ...):
  pass
