# Copyright (c) 2017  University of Houston

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from __future__ import absolute_import

from . import apis

# Each API is just a bundle of methods we want to attach to our object
# at runtime based on the policy of the lmod


# APIs are mapped using the image name, but some images also support more
# general purpose APIs which are reflected here
EXTRA_API_MAP = {
  "uh.quagga" : ["api:uh.host"],
  "uh.dnsdhcp" : ["api:uh.dhcp"],
  "uh.simple-dhcpd" : ["api:uh.dhcp", "uh.host"],
  "uh.vswitch" : ["api:uh.host"],
}

