# Copyright (c) 2019  University of Houston Networking Lab

from __future__ import absolute_import

import ipywidgets as widgets # pylint: disable=F0401

from .. import inputtable as IT

DNSIMAGES = ["uh.dnsroot",
             "uh.dnsdhcp"]

def findDNSInstances(manifest):
  nsnames = []

  for container in manifest.containers:
    if container.image in DNSIMAGES:
      nsnames.append(container.client_id)

  return nsnames


class DNSCacheTabManager(object):
  def __init__ (self, data):
    self._data = data
    self.dpindex = data["index"]

