# Copyright (c) 2012-2016  Barnstormer Softworks, Ltd.

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from __future__ import absolute_import

import logging

class KeyAdapter(logging.LoggerAdapter):
  def __init__ (self, key, logger):
    logging.LoggerAdapter.__init__(self, logger, {"key" : key})

  def process (self, msg, kwargs):
    key = self.extra["key"]
    return ("[%s] %s" % (key, msg), kwargs)
