# Copyright (c) 2021  University of Houston Networking Lab

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from __future__ import absolute_import

import datetime

import requests

from geni.aggregate.apis import RenewSliverError


def sliverExists (sname, uhm):
  try:
    uhm._site.renewsliver(uhm.context, sname, datetime.datetime.now() + datetime.timedelta(days=2))
    return True
  except RenewSliverError:
    return False
