# Copyright (c) 2017-2018  University of Houston Networking Lab

import os
import os.path
from setuptools import setup, find_packages


setup(name = "uh-labserve",
      version = "0.2.1",
      author = "Nick Bastin",
      author_email = "nick.bastin@gmail.com",
      packages = find_packages(),
      scripts = ['bin/labserve'],
      install_requires = [
        "blinker",
        "cryptography",
        "Flask",
        "lxml",
        "python-dateutil",
        "six",
        "xmlsec"
        ],
      classifiers = [
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3.5",
        ],
      )
